# ScrollEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that handles the Scroll event of a [ScrollableControl](/api/wisej.web/containers/scrollablecontrol.md), [ScrollBar](/api/wisej.web/content/scrollbar.md), [TrackBar](/api/wisej.web/editors/wisej.web.trackbar.md), or [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void ScrollEventHandler(Object sender, ScrollEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub ScrollEventHandler(ByVal sender As [Object], ByVal e As ScrollEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                             | Description                                                                                                      |
| ---------- | -------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                    | The source of the event.                                                                                         |
| **e**      | [ScrollEventArgs](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md) | A [ScrollEventArgs](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md) that contains the event data. |

## Fired By

| Name                                                                              | Description                                                                                            |
| --------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ |
| [ScrollableControl.Scroll](/api/wisej.web/containers/scrollablecontrol.md#scroll) | Fired when the user or code scrolls through the client area.                                           |
| [ScrollBar.Scroll](/api/wisej.web/content/scrollbar.md#scroll)                    | Fired when the scroll box has been moved by either a mouse or keyboard action.                         |
| [DataGridView.Scroll](/api/wisej.web/lists-and-grids/datagridview.md#scroll)      | Fired when the user or code scrolls the grid.                                                          |
| [SlideBar.Scroll](/api/wisej.web/containers/wisej.web.slidebar.md#scroll)         | Fired when the [SlideBar](/api/wisej.web/containers/wisej.web.slidebar.md) widget scrolls its content. |
| [ListView.Scroll](/api/wisej.web/lists-and-grids/listview.md#scroll)              | Fired when the user or code scrolls the [ListView](/api/wisej.web/lists-and-grids/listview.md).        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.scrolleventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
